package net.wanji.datacenter.service.dataconvert;

/**
 * @author duanruiming
 * @date 2023/03/10 9:48
 */
public interface DataConvertService {
    /**
     * 数据中心收到数据
     *
     * @param message
     * @return
     */
    void receive(String message);

    /**
     * 数据中心发送数据, 通过远程调用调用不同的服务
     */
    void send();

    /**
     * 数据中心转换数据
     *
     * @param jsonStr
     * @return
     */
    String convert(String jsonStr);
}
